#!/usr/bin/perl

## --------------------------------------------------------------------------------
##  $Id: mkSnapshot.pl,v 1.1 2003/01/20 21:24:32 joko Exp $
## --------------------------------------------------------------------------------
##  $Log: mkSnapshot.pl,v $
##  Revision 1.1  2003/01/20 21:24:32  joko
##  + some convenient shortcut-scripts around tar and scp - please this path to your PATH to get maximum satisfaction out of it!
##
## --------------------------------------------------------------------------------


use strict;
use warnings;


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   preambel

# determine and set 'libpath' at runtime, but before execution
my $libpath;
BEGIN {
  use FindBin qw($Bin);
  $libpath = "$Bin/../../libs";
}

# use '$libpath' path to look for additional modules
use lib $libpath;


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   main

use org::netfrag::shortcuts qw(
  run_cmd run_cmds
  now today
);


my $arg1 = shift;
die "Please specify file to write snapshot to on the command-line." if !$arg1;

my $arg2 = shift;
die "Please specify item (directory for now) to snapshot on the command-line." if !$arg2;
die "Argument given is no directory." if ! -d $arg2;

run_cmd("tar -czf $arg1 $arg2");

1;
__END__
